<img src="https://github.com/holoviz/holoviz/blob/master/doc/_static/holoviz-logo.svg"><br>

-----------------

# HoloViz: High-level tools to simplify visualization in Python

|    |    |
| --- | --- |
| Build Status | [![Linux/MacOS Build Status](https://travis-ci.org/holoviz/holoviz.svg?branch=master)](https://travis-ci.org/holoviz/holoviz) [![Windows Build status](https://img.shields.io/appveyor/ci/holoviz-developers/holoviz/master.svg?logo=appveyor)](https://ci.appveyor.com/project/holoviz-developers/holoviz/branch/master) |
| Latest dev release | [![Github tag](https://img.shields.io/github/tag/holoviz/holoviz.svg?label=tag&colorB=11ccbb)](https://github.com/holoviz/holoviz/tags) |
| Latest release | [![Github release](https://img.shields.io/github/release/holoviz/holoviz.svg?label=tag&colorB=11ccbb)](https://github.com/holoviz/holoviz/releases) [![PyPI version](https://img.shields.io/pypi/v/holoviz.svg?colorB=cc77dd)](https://pypi.python.org/pypi/holoviz) [![holoviz version](https://img.shields.io/conda/v/pyviz/holoviz.svg?colorB=4488ff&style=flat)](https://anaconda.org/pyviz/holoviz) |
| Docs | [![gh-pages](https://img.shields.io/github/last-commit/holoviz/holoviz/gh-pages.svg)](https://github.com/holoviz/holoviz/tree/gh-pages) [![site](https://img.shields.io/website-up-down-green-red/http/holoviz.org.svg)](http://holoviz.org) |
| Dependencies | [![](https://img.shields.io/website-up-down-green-red/http/status.holoviz.org.svg?label=status-dashboard)](http://status.holoviz.org/) |


## What is it?

This repository provides examples, demos, and training materials
documenting how to solve visualization problems using Python
tools that work with web browsers, including
[Bokeh](https://bokeh.org),
[HoloViews](https://holoviews.org),
[GeoViews](http://geoviews.org),
[Matplotlib](https://matplotlib.org),
[Datashader](https://datashader.org),
[hvPlot](http://hvplot.pyviz.org),
[Panel](http://panel.pyviz.org), and
[Param](https://param.pyviz.org).

It includes a shared conda environment that ensures all these tools work together,
facilities for downloading sample data for use with these tools, and provides
starting points for solving your own visualization problems.


## Installation

See [holoviz.org](http://holoviz.org/installation.html) (or doc/installation.rst for a github clone).


## About holoviz.org

HoloViz is a project supported in part by [Anaconda](https://anaconda.com).
All projects used here are freely available for commercial or
non-commercial use according to a permissive open-source license as
described in each project's website.
